Update the accepted load by a shipper

This request accepts the load at the price by proposed by the shipper (buy it now) or the carrier bids a price.

To accept a hybrid load at the shipper price, see the Accepting Fixed Price Load request section in this
reference guide.

To place an offer on a hybrid load, see the Update Active Bidding Loads request section in this
reference guide.

Example

The following example allows a carrier to either accept a fixed price or submit a bid on a load that is open on a hybrid offer.

PUT https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/{planId}/bid

Request body to bid on a hybrid load:

{ "payload":
{ "bidPrice": { "measurementValue": "1300.00", "unitOfMeasure": "USD" }, "identifiers": { "phaseId": "55ed55ba-df2f-417f-974b-622ee6e059af" }, "status": "ACCEPTED" } }

PUT https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/{planId}/bid

Request body to accept a hybrid load at a fixed price:

{ "payload": { "identifiers": { "phaseId": "55ed55ba-df2f-417f-974b-622ee6e059af", }, "status": "APPROVED" } }
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Responses
200

Successful operation.

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!